Bug 134971 - CAN-2004-0958 PHP variable parsing
Summary: CAN-2004-0958 PHP variable parsing
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: impact=moderate,public=20041005
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-07 16:43 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 18:54:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch from upstream CVS (994 bytes, patch)
2004-10-07 18:09 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:687 high SHIPPED_LIVE Important: php security update 2004-12-21 05:00:00 UTC

Description Josh Bressers 2004-10-07 16:43:25 UTC
This issue was reported to bugtraq on 2004-09-15.
http://www.securityfocus.com/archive/1/375294

Bad array parsing in php_variables.c could lead to show arbitrary memory
content such as pieces of php code and other data.
This affects all GET, POST or COOKIES variables.

This issue also affects RHEL2.1

Comment 1 Josh Bressers 2004-10-07 18:09:17 UTC
Created attachment 104909 [details]
Patch from upstream CVS

Comment 2 Joe Orton 2004-10-08 16:13:04 UTC
Thanks for finding the patches Josh.

Comment 4 Josh Bressers 2004-11-05 18:13:42 UTC
Joe, do we know if this affects the RHEL2.1 PHP?

Comment 5 Mark J. Cox 2004-12-21 18:54:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-687.html



Note You need to log in before you can comment on or make changes to this bug.